function [fig] = sub_izolin (X, Y, Nx, Ny, Z, nmesh, S, dub,opis)
% % 
    S = S(end:-1:1,:,:);
    X_i = linspace(X(1), X(end), Nx*nmesh);         % radi izgladjivanja, proguscujemo mrezu
    Y_i = linspace(Y(1), Y(end), Ny*nmesh); 
    S_i(:,:) = interp2(X, Y', S(:,:,Z), X_i, Y_i');

    fig = figure, orient tall
        Lx = 0.4; Ly = 1;         
        contourf(X_i, Y_i, S_i); hold on; map = colormap;               % izolinije 2-D polja
        if(isequal(opis(1:3),'Sal') | isequal(opis(1:3),'Gus')),  colormap(map(end:-1:1,:)), else, colormap('default'); end;
        [XX YY] = meshgrid(X, Y);                   
        plot(XX, YY,'*k');                                                                  % polozaj postaja
        colorbar
        set(gca,'YLim', [min(Y) max(Y)], 'XLim', [min(X) max(X)]);    ylb = get(gca,'YTickLabel'); grid on
        set(gca,'DataAspectRatio',[Lx Ly 1]); set(gca,'Layer','top');
        XLabel('(WSW - ENE) Udaljenost (km)'); YLabel('(SSE - NNW) Udaljenost (km)');
        if(isequal(opis(1:3),'Geo'));
            title(opis,'VerticalAlignment','bottom','FontWeight','bold');
        else
            title([opis '; h = ' num2str(dub(Z)) ' m'],'VerticalAlignment','bottom','FontWeight','bold');
        end
return
